using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Xml.Serialization;

namespace XMLSerialisering
{
    public enum Kn
    {
        Man,
        Kvinna
    }
    public class Kontakt
    {
        [XmlAttribute, DefaultValue(Kn.Man)]
        public Kn Roll;
        [XmlAttribute]
        public string Frnamn;
        [XmlAttribute]
        public string Efternamn;

        public Kontakt()
        {
        }
        public Kontakt(Kn k, string f, string e)
        {
            this.Roll = k;
            this.Frnamn = f;
            this.Efternamn = e;
        }
        public override string ToString()
        {
            return "Namn: " + Frnamn + " " + Efternamn + ", " + Roll;
        }
    }
}
