﻿using System;
using System.Collections.Generic;
using System.Text;

namespace XMLSerialisering
{
    class Program
    {
        static void Main(string[] args)
        {
            KontaktBok b = new KontaktBok();

            b.Kontakter.Add(new Kontakt(Kön.Man, "Kalle", "Karlsson"));
            b.Kontakter.Add(new Kontakt(Kön.Kvinna, "Sara", "Svensson"));
            b.Kontakter.Add(new Kontakt(Kön.Man, "Erik", "Eriksson"));

            ObjectXMLSerializer<KontaktBok>.Save(b, "kontaktbok.xml");
            KontaktBok ny = ObjectXMLSerializer<KontaktBok>.Load("kontaktbok.xml");

            foreach (Kontakt k in ny.Kontakter)
                Console.WriteLine(k);

            Console.ReadLine();
        }
    }
}
